net.minecraft.client.shader

## Enum ShaderLoader.ShaderType

- java.lang.Object
- - java.lang.Enum<ShaderLoader.ShaderType>
  - - net.minecraft.client.shader.ShaderLoader.ShaderType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ShaderLoader.ShaderType>
  Enclosing class:
    ShaderLoader

      public static enum ShaderLoader.ShaderType
      extends java.lang.Enum<ShaderLoader.ShaderType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRAGMENT`
    `VERTEX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `func_148062_a()`
    `protected java.lang.String` | `func_148063_b()`
    `protected java.util.Map` | `func_148064_d()`
    `protected int` | `func_148065_c()`
    `static ShaderLoader.ShaderType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ShaderLoader.ShaderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERTEX

          public static final ShaderLoader.ShaderType VERTEX

    - #### FRAGMENT

          public static final ShaderLoader.ShaderType FRAGMENT

  - ### Method Detail

    - #### values

          public static ShaderLoader.ShaderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShaderLoader.ShaderType c : ShaderLoader.ShaderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShaderLoader.ShaderType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### func_148062_a

          public java.lang.String func_148062_a()

    - #### func_148063_b

          protected java.lang.String func_148063_b()

    - #### func_148065_c

          protected int func_148065_c()

    - #### func_148064_d

          protected java.util.Map func_148064_d()